当Mac升级到High sierra 后,在终端中使用 npm install 或者 yarn 的时候,显示提示信息 gyp: No Xcode or CLT version detected!, 表示缺失了 XCode 的 CLI 工具。

尝试在终端中使用管理员权限执行下面的命令来安装该工具。

1
sudo xcode-select --install

如果问题还没有解决,尝试先删除原本的命令行工具,然后再执行上面的命令。

1
sudo rm -rf $(xcode-select -p)  或者是  rm -rf /Library/Developer/CommandLineTools